<%response.expires=-1%>
<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<%
LoginID=trim(session("LoginID"))
if LoginID="" then LoginID=0
UserName=GetTableValue ("tblUser","Name","ID",LoginID)

maxmessage=15
currentpage=request("page")
if currentpage="" then 
currentpage=1
end if

Set RsTmp = Server.Createobject("Adodb.recordset")
sql="select distinct DocID from tblDocSuggest where FromID="& LoginID
Rstmp.open sql,oConn
DocIDs="0"
while not Rstmp.eof
DocIDs=DocIDs&", "&trim(Rstmp("DocID"))
Rstmp.movenext
wend
Rstmp.close
set Rstmp=nothing
DocIDs="("&DocIDs&")"

set rs=Server.CreateObject("ADODB.RecordSet")
sql="select ID,FromID,Class,Title,Title2,CreateTimes,CurrentID,Finish,isOld from tblDoc where ID in "& DocIDs &" Order by ID desc"
'response.write sql
rs.pagesize=maxmessage
rs.open sql,oConn,1,1
totalpage=rs.pagecount
totalmessage=rs.recordcount
if totalmessage<>0 then
	rs.AbsolutePage=currentpage
	msgArr=rs.getrows(maxmessage)
end if

rs.close
%>
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<h2><font color=#ff0000>您批示过的公文</font></h2>
<%
response.write "&nbsp;经由您批示过的公文 共" & totalmessage & "条/" & totalpage & "页，每页"& maxmessage &"条"
if totalpage>0 then
	response.write "，第" & currentpage & "页　"
end if

if totalpage>1 then
	if currentpage>1 then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage-1%>">上页</a>　　
		<%
	end if

	if currentpage+1<=totalpage then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage+1%>">下页</a>
		<%
	end if
end if
%>
<table border=0 width="100%" bgcolor=#FFFFFF cellpadding=3>
<tr bgcolor=#eeeddb>
<td width="12%">分类</td>
<td>标题</td>
<td width="12%">拟搞人</td>
<td width="15%">拟稿时间</td>
<td width="12%">当前位置</td>
<td width="12%">当前状态</td>
</tr>
<%
if isempty(msgArr) then
	response.write "<tr><td colspan=7>内容暂时为空。</td></tr>"
else
for i = 0 to UBound(msgArr,2)
%>
	<tr>
		<td nowrap><%=GetTableValue("tblDocClass","Name","ID",trim(msgArr(2,i)))%></td>
		<td><a href="DocInfo.htm?ID=<%=trim(msgArr(0,i))%>"><%=trim(msgArr(3,i))%></a></td>
		<td nowrap><%=GetTableValue("tblUser","Name","ID",trim(msgArr(1,i)))%></td>
		<td nowrap><%=trim(msgArr(5,i))%></td>

		<td nowrap>
		<%if trim(msgArr(6,i))<>"" and trim(msgArr(6,i))<>"0" then%>
		<%=GetTableValue("tblUser","Name","ID",trim(msgArr(6,i)))%>
		<%else%>
		<font color=red>批复完成</font>
		<%end if%>
		</td>
		<td>
		<%
		nFinish=trim(msgArr(7,i))
		nIsOld=trim(msgArr(8,i))
		if nFinish="0" then
		response.write "<font color=#FFCC00>批阅中</font>"
		elseif NIsOld="1" then
		response.write "<font color=#ff0000>已归档</font>"
		else
		response.write "<font color=#669966>传阅中</font>"
		end if
		%>

		</td>
	</tr>
<%
next
end if
%>

</table>


</BODY>
</HTML>
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function

%>
<!--#include file="../inc/conn_close.htm"-->
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>